<template>
  <header>
    <nav>
      <ul>
        <li>
          <nuxt-link to="/">Accueil</nuxt-link>
        </li>
        <li>
          <nuxt-link to="/new-post">Ecrire un article</nuxt-link>
        </li>
        <li v-if="$store.state.user" class="align-right">
          <span>
            Connecté en tant que {{ $store.state.user.name }} ({{
              $store.state.user.email
            }})
          </span>
          <button @click="logOut">Se deconnecter</button>
        </li>
      </ul>
    </nav>
  </header>
</template>

<script>
export default {
  name: 'Header',
  methods: {
    logOut() {
      // Supression du token (cf doc de nuxt-apollo)
      this.$apolloHelpers.onLogout()

      // On vide les infos utilisateur du store
      this.$store.commit('updateUser', null)

      // Redirection au cas où l'utilisateur se trouvait sur une page protégée
      this.$router.push('/')
    },
  },
}
</script>

<style lang="scss" scoped>
ul {
  display: flex;
  width: 100%;
  align-items: center;
}
.align-right {
  margin-left: auto;
}
</style>
